GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
OGRCoordinateTransformationOptions Struct Reference

Context for coordinate transformation. More...

`#include <ogr_spatialref.h>`

## Public Member Functions
| OGRCoordinateTransformationOptions ()
| Constructs a new OGRCoordinateTransformationOptions. More...
| OGRCoordinateTransformationOptions (const OGRCoordinateTransformationOptions &)
| Copy constructor. More...
OGRCoordinateTransformationOptions & | operator= (const OGRCoordinateTransformationOptions &)
| Assignment operator. More...
| ~OGRCoordinateTransformationOptions ()
| Destroys a OGRCoordinateTransformationOptions. More...
bool | SetAreaOfInterest (double dfWestLongitudeDeg, double dfSouthLatitudeDeg, double dfEastLongitudeDeg, double dfNorthLatitudeDeg)
| Sets an area of interest. More...
bool | SetCoordinateOperation (const char *pszCT, bool bReverseCT)
| Sets a coordinate operation. More...

## Detailed Description

Context for coordinate transformation.

Since
  GDAL 3.0

## Constructor & Destructor Documentation

OGRCoordinateTransformationOptions::OGRCoordinateTransformationOptions | ( |  | ) |

Constructs a new OGRCoordinateTransformationOptions.

Since
  GDAL 3.0

OGRCoordinateTransformationOptions::OGRCoordinateTransformationOptions | ( | const OGRCoordinateTransformationOptions & | other | ) |

Copy constructor.

Since
  GDAL 3.1

OGRCoordinateTransformationOptions::~OGRCoordinateTransformationOptions | ( |  | ) |

Destroys a OGRCoordinateTransformationOptions.

Since
  GDAL 3.0

## Member Function Documentation

OGRCoordinateTransformationOptions & OGRCoordinateTransformationOptions::operator= | ( | const OGRCoordinateTransformationOptions & | other | ) |

Assignment operator.

Since
  GDAL 3.1

bool OGRCoordinateTransformationOptions::SetAreaOfInterest | ( | double | dfWestLongitudeDeg,
|  | double | dfSouthLatitudeDeg,
|  | double | dfEastLongitudeDeg,
|  | double | dfNorthLatitudeDeg
| ) |  |

Sets an area of interest.

The west longitude is generally lower than the east longitude, except for areas of interest that go across the anti-meridian.

Parameters

  dfWestLongitudeDeg | West longitude (in degree). Must be in [-180,180]
  dfSouthLatitudeDeg | South latitude (in degree). Must be in [-90,90]
  dfEastLongitudeDeg | East longitude (in degree). Must be in [-180,180]
  dfNorthLatitudeDeg | North latitude (in degree). Must be in [-90,90]

Returns
  true in case of success.

Since
  GDAL 3.0

bool OGRCoordinateTransformationOptions::SetCoordinateOperation | ( | const char * | pszCO,
|  | bool | bReverseCO
| ) |  |

Sets a coordinate operation.

This is a user override to be used instead of the normally computed pipeline.

The pipeline must take into account the axis order of the source and target SRS.

The pipeline may be provided as a PROJ string (single step operation or multiple step string starting with +proj=pipeline), a WKT2 string describing a CoordinateOperation, or a "urn:ogc:def:coordinateOperation:EPSG::XXXX" URN

Parameters

  pszCO | PROJ or WKT string describing a coordinate operation
  bReverseCO | Whether the PROJ or WKT string should be evaluated in the reverse path

Returns
  true in case of success.

Since
  GDAL 3.0

The documentation for this struct was generated from the following files:

- ogr_spatialref.h
- ogrct.cpp